# $Revision: 1.21 $, $Date: 2010/12/11 21:38:22 $
%define		modname	dbx
%define		status		stable
Summary:	%{modname} - database abstraction functions
Summary(pl.UTF-8):	%{modname} - funkcje abstrakcji baz danych
Name:		php-pecl-%{modname}
Version:	1.1.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-1.1.0.tgz
# Source0-md5:	82d1091c75e047c4a8f9aea7b279e13b
URL:		http://pecl.php.net/package/dbx/
Patch0:		branch.diff
BuildRequires:	php-devel >= 4:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Obsoletes:	php-dbx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The dbx module is a database abstraction layer. The dbx functions
allow you to access all supported databases using a single calling
convention. The dbx-functions themselves do not interface directly to
the databases, but interface to the modules that are used to support
these databases.

The currently supported databases are MySQL, ODBC, Oracle (oci8), MS
SQL Server, PostgreSQL, FrontBase, Sybase-CT and SQLite.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Moduł dbx to warstwa abstrakcji baz danych. Funkcje dbx pozwalają na
dostęp do wspieranych baz danych przy użyciu spójnej konwencji.
Funkcje dbx jako takie nie są bezpośrednim interfejsem do bazy danych,
ale interfejsem do modułów do obsługi baz danych.

Aktualnie wspierane bazy danych to MySQL, ODBC, Oracle (oci8), MS SQL
Server, PostgreSQL, FrontBase, Sybase-CT oraz SQLite.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-*/* .
%patch0 -p0

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-dbx.spec,v $
Revision 1.21  2010/12/11 21:38:22  arekm
- release 2

Revision 1.20  2010/06/03 18:26:11  glen
- adapter, simplify

Revision 1.19  2010/06/03 18:24:30  glen
- add branch diff (1.1.1-dev); builds with php53

Revision 1.18  2010/06/03 18:23:07  glen
- unify

Revision 1.17  2010/06/02 15:52:43  glen
- release 9

Revision 1.16  2010/05/18 05:15:11  gotar
- rel. 8

Revision 1.15  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.13  2006/12/20 00:06:30  glen
- use new php extension related macros

Revision 1.12  2006/12/13 22:22:55  glen
- rel 7 (php 5.2.0)

Revision 1.11  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.10  2005/12/26 00:21:00  qboosh
- no macro for old package name

Revision 1.9  2005/12/25 21:00:13  glen
- obsolete removed php extension from php sources; rel 6

Revision 1.8  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.7  2005/10/30 13:29:27  glen
- rel 4

Revision 1.6  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.5  2005/09/14 20:28:24  glen
- rel 2

Revision 1.4  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.3  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.2  2005/08/27 08:36:39  qboosh
- pl fix

Revision 1.1  2005/08/21 20:15:39  adamg
- new
